package com.fs.course.service;

import com.fs.course.domain.FsUserVideoTags;
import com.fs.course.vo.FsUserVideoTagsPVO;

import java.util.List;

/**
 * 短视频标签Service接口
 *
 * @author fs
 * @date 2024-09-23
 */
public interface IFsUserVideoTagsService
{
    /**
     * 查询短视频标签
     *
     * @param tagId 短视频标签主键
     * @return 短视频标签
     */
    public FsUserVideoTags selectFsUserVideoTagsByTagId(Long tagId);

    /**
     * 查询短视频标签列表
     *
     * @param fsUserVideoTags 短视频标签
     * @return 短视频标签集合
     */
    public List<FsUserVideoTags> selectFsUserVideoTagsList(FsUserVideoTags fsUserVideoTags);

    /**
     * 新增短视频标签
     *
     * @param fsUserVideoTags 短视频标签
     * @return 结果
     */
    public int insertFsUserVideoTags(FsUserVideoTags fsUserVideoTags);

    /**
     * 修改短视频标签
     *
     * @param fsUserVideoTags 短视频标签
     * @return 结果
     */
    public int updateFsUserVideoTags(FsUserVideoTags fsUserVideoTags);

    /**
     * 批量删除短视频标签
     *
     * @param tagIds 需要删除的短视频标签主键集合
     * @return 结果
     */
    public int deleteFsUserVideoTagsByTagIds(Long[] tagIds);

    /**
     * 删除短视频标签信息
     *
     * @param tagId 短视频标签主键
     * @return 结果
     */
    public int deleteFsUserVideoTagsByTagId(Long tagId);

    List<FsUserVideoTagsPVO> selectFsUserVideoTagsSubList();
}
